- [HTTP request](https://developers.google.com/my-business/reference/businessinformation/rest/v1/categories/batchGet#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/my-business/reference/businessinformation/rest/v1/categories/batchGet#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/businessinformation/rest/v1/categories/batchGet#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/businessinformation/rest/v1/categories/batchGet#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/businessinformation/rest/v1/categories/batchGet#body.BatchGetCategoriesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/my-business/reference/businessinformation/rest/v1/categories/batchGet#body.aspect)

Returns a list of business categories for the provided language and GConcept ids.

### HTTP request

`GET https://mybusinessbusinessinformation.googleapis.com/v1/categories:batchGet`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `names[]` | `string` Required. At least one name must be set. The GConcept ids the localized category names should be returned for. To return details for more than one category, repeat this parameter in the request. |
| `languageCode` | `string` Required. The BCP 47 code of language that the category names should be returned in. |
| `regionCode` | `string` Optional. The ISO 3166-1 alpha-2 country code used to infer non-standard language. |
| `view` | ``enum (`https://developers.google.com/my-business/reference/businessinformation/rest/v1/CategoryView`)`` Required. Specifies which parts to the Category resource should be returned in the response. |

### Request body

The request body must be empty.

### Response body

Response message for BusinessCategories.BatchGetBusinessCategories.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "categories": [ { object (`https://developers.google.com/my-business/reference/businessinformation/rest/v1/accounts.locations#Location.Category`) } ] } ``` |

| Fields ||
|---|---|
| `categories[]` | ``object (`https://developers.google.com/my-business/reference/businessinformation/rest/v1/accounts.locations#Location.Category`)`` Categories that match the GConcept ids provided in the request. They will not come in the same order as category ids in the request. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).